CVE-2021-33033

Updated: 2022-09-27 17:23:27.042594

Description:

The Linux kernel before 5.11.14 has a use-after-free in cipso_v4_genopt in net/ipv4/cipso_ipv4.c because the CIPSO and CALIPSO refcounting for the DOI definitions is mishandled, aka CID-ad5d07f4a9cd. This leads to writing an arbitrary value.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x MEDIUM 4.6
CVSS Version 3.x HIGH 7.8

Status

OS name Project name Version Score Severity Status Errata Last updated
CentOS 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2022-03-30 12:53:29
CentOS 8.4 ELS kernel 4.18.0-305.25.1 7.8 HIGH Released CLSA-2022:1651145959 2022-04-28 16:00:02
CentOS 8.5 ELS kernel 4.18.0-348.7.1 7.8 HIGH Ignored 2022-02-21 05:39:39
CloudLinux 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2022-03-30 12:53:29
Oracle Linux 6 ELS kernel 2.6.32 7.8 HIGH Released CLSA-2022:1669850228 2022-11-30 19:57:59
Ubuntu 16.04 ELS linux 4.4.0 7.8 HIGH Released 2021-12-09 07:57:19
Ubuntu 16.04 ELS linux-hwe 4.15.0 7.8 HIGH Already Fixed 2022-10-04 14:02:42